Package org.apache.lucene.analysis.miscellaneous

## Class TypeAsSynonymFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.miscellaneous.TypeAsSynonymFilter

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

      public final class TypeAsSynonymFilter
      extends TokenFilter

  Adds the `TypeAttribute.type()` as a synonym, i.e. another token at the same position, optionally with a specified prefix prepended, optionally transfering flags, and optionally ignoring some types. See `TypeAsSynonymFilterFactory` for full details.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeAsSynonymFilter​(TokenStream input)` |
    `TypeAsSynonymFilter​(TokenStream input, String prefix)` |
    `TypeAsSynonymFilter​(TokenStream input, String prefix, Set<String> ignore, int synFlagsMask)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `incrementToken()` |
    `void` | `reset()` |

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, unwrap`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeAsSynonymFilter

          public TypeAsSynonymFilter​(TokenStream input)

    - #### TypeAsSynonymFilter

          public TypeAsSynonymFilter​(TokenStream input,
                                     String prefix)

      Parameters:
        `input` - input tokenstream
        `prefix` - Prepend this string to every token type emitted as token text. If null, nothing will be prepended.

    - #### TypeAsSynonymFilter

          public TypeAsSynonymFilter​(TokenStream input,
                                     String prefix,
                                     Set<String> ignore,
                                     int synFlagsMask)

      Parameters:
        `input` - input tokenstream
        `prefix` - Prepend this string to every token type emitted as token text. If null, nothing will be prepended.
        `ignore` - types to ignore (and not convert to a synonym)
        `synFlagsMask` - a mask to control what flags are propagated to the synonym.

  - ### Method Detail

    - #### incrementToken

          public boolean incrementToken()
                                 throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Overrides:
        `reset` in class `TokenFilter`
      Throws:
        `IOException`